name: Auto-Update Directory on Push

on:
  push:
    branches:
      - master # O la rama que quieras escuchar

jobs:
  deploy:
    runs-on: ubuntu-latest # Ejecutará el paso dentro de un contenedor limpio

    steps:
      # 1. Descarga el código del repositorio
      - name: Checkout code
        uses: actions/checkout@v4

      # 2. Sincroniza los archivos con el directorio mapeado del servidor
      - name: Update Target Directory
        run: |
          echo "Actualizando directorio..."
          # Usamos rsync para copiar solo lo que cambió, ignorando la carpeta .git si no la necesitas
          rsync -avz --exclude='.git' --exclude='.gitea' ./ /target-directory/
